<!--
    html.dsl - stylesheets for HTML output.

    $Id: html.dsl,v 1.3 1999/11/30 09:58:41 mirko Exp $
  -->
<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY docbook.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA dsssl>
]>
<style-sheet>

<style-specification id="html" use="docbook">
<style-specification-body> 

    ;;  This is the standard HTML stylesheet, which deviates only a little bit
    ;;  from the plain version.
    ;;  Set this, so special characters are converted to numerics for 
		;;  most popular browsers (IE, NS, Konqueror) do not understand entities
    (declare-characteristic preserve-sdata?
	      "UNREGISTERED::James Clark//Characteristic::preserve-sdata?"
	      #f)
    (define %html-ext% ".html")
    (define %body-attr% '())
    (define %shade-verbatim% #t)
    (define %use-id-as-filename% #t)
    (define %section-autolabel% #t)

    (define %graphic-default-extension% "gif")
    (define %gentext-nav-tblwidth% "100%")

</style-specification-body>
</style-specification>


<style-specification id="howto" use="html">
<style-specification-body>
		;; Returns the depth of auto TOC that should be made at the nd-level
		(define (toc-depth nd)
			(if (string=? (gi nd) (normalize "article"))
					2
					1))
		(define %generate-article-titlepage% 
	   ;; Should an article title page be produced?
	   #t)

		(define use-output-dir #t)
		(define %root-filename% "@FILENAME")
		(define %html-prefix%
		  "@FILENAME-")		
    (define %use-id-as-filename% #t)
    (define %generate-article-toc% #t)
		(define ($html-body-end$)
			(make element gi: "P"
				 attributes: '(("CLASS" "copyright") ("ALIGN" "right"))
				 (make element gi: "FONT"
						attributes: '(("SIZE" "-2"))
						(literal "@DATE, ")
						(make element gi: "A"
							 attributes: '(("HREF" "http://www.webideal.de/rh-isdn/"))
							 (literal "http://www.webideal.de/rh-isdn/")))
	   					 (empty-sosofo)))
</style-specification-body>
</style-specification>

<external-specification id="docbook" document="docbook.dsl">
</style-sheet>
